Subject: bug#28181: 26.0.50; emacs master segfaults on make-network-process, embedded device nokia n900

From: Eli Zaretskii <[email-masked]>
Date: Thu, 24 Aug 2017 21:24:34 +0300

> From: andrés ramírez <[email-masked]>
> Cc: [email-masked]
> Date: Thu, 24 Aug 2017 11:47:08 -0600
> 
> > So this indeed looks like some libc problem, and therefore I don't
> > think it's a problem in Emacs.
> I am going to try to find the commit that causes the issue. That could
> help making a workaround, but probably just for this embedded
> device. Could It be a good idea?

I'm almost sure that the problem is with getaddrinfo_a, which we now
use on platforms that provide this function.  Maybe you could tweak
the build to not define HAVE_GETADDRINFO_A, and see if that makes the
problem go away.